<?php

session_start();
$usuario=$_SESSION['rut'];


$defecto_nombre = $_REQUEST['defecto_nombre'];


include '../../conexion/conn.php';
$rs= mysql_query("SELECT COUNT(*) FROM defectos WHERE defecto_nombre = '$defecto_nombre'");
$row = mysql_fetch_row($rs);
if ($row[0]==0){
	$sql = ("INSERT INTO defectos(
	defecto_nombre,
	defecto_usuariocrea,
	defecto_fechacrea,
	defecto_estado)
	VALUES(UPPER('$defecto_nombre'),'$usuario',now(),'ACTIVO')");
	$result = @mysql_query($sql);
	if ($result){
		$rs=mysql_query("SELECT defecto_id FROM defectos WHERE defecto_nombre = '$defecto_nombre'");
		$row = mysql_fetch_row($rs);
		if ($row[0]!=0){
			$id_defecto=$row[0];
			foreach ($_REQUEST["parametros"] as $key => $value) { 
				$sql = "INSERT INTO defectos_detalle_parametros (defecto_id, id_parametro)
				VALUES('$id_defecto','$value')";
				$result = @mysql_query($sql);
			}
			
			foreach ($_REQUEST["especies"] as $key => $value) { 
				$sql = "INSERT INTO especies_detalle_defectos (especie_cod, defecto_id)
				VALUES('$value','$id_defecto')";
				$result = @mysql_query($sql);
			}
			
			if ($result){
				echo "Datos Grabados";
			}else{
				echo "Error al grabar los parametros seleccionados";
			}
			
		}else{
			echo "No se recupró el ID del defecto";
		}
	} else {
		echo "Se Han Producido Errores";
	}
}else{
	echo "Defecto ya existe";
}

?>